Cyberduck Mountain Duck CLI

#7424 closed defect (duplicate)

Network Error: Upload failed. Broken Pipe.

Reported by: catherineday Owned by: dkocher
Priority: high Milestone: 4.5
Component: s3 Version: 4.3.1
Severity: critical Keywords:
Cc: Architecture:
Platform: Mac OS X 10.7

Description (last modified by dkocher)

I've been using CyberDuck to upload files to DreamObjects by DreamHost, and am having this error appear when trying to upload to a particular 'bucket' (folder) I have uploaded to other 'buckets' since this, and they have worked fine, but this one keeps failing. Could you please tell me why this is happening and how to fix it?

I have included the transcript from the Log Drawer below.

Kindest Regards, Catherine

GET / HTTP/1.1
Date: Mon, 02 Sep 2013 14:01:35 GMT
Authorization: AWS yq29FGWexsUXAMqH8-DO:DQpkMiom1NJ6bHxt/jF11md5PM4=
Host: objects.dreamhost.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.3.1 (Mac OS X/10.7.5) (i386)
HTTP/1.1 200 OK
Date: Mon, 02 Sep 2013 14:01:36 GMT
Server: Apache
Accept-Ranges: bytes
Content-Length: 896
Content-Type: application/xml
Access-Control-Allow-Origin: *
Access-Control-Allow-Headers: *
Access-Control-Allow-Credentials: true
Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE
Access-Control-Max-Age: 1728000
GET /cd_sparklewren/?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Mon, 02 Sep 2013 14:01:36 GMT
Authorization: AWS yq29FGWexsUXAMqH8-DO:prWHmfGQKByMk8HjWGW54NbGsz0=
Host: objects.dreamhost.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.3.1 (Mac OS X/10.7.5) (i386)
HTTP/1.1 200 OK
Date: Mon, 02 Sep 2013 14:01:36 GMT
Server: Apache
Transfer-Encoding: chunked
Content-Type: application/xml
Access-Control-Allow-Origin: *
Access-Control-Allow-Headers: *
Access-Control-Allow-Credentials: true
Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE
Access-Control-Max-Age: 1728000
GET /cd_sparklewren/?versioning HTTP/1.1
Date: Mon, 02 Sep 2013 14:01:37 GMT
Authorization: AWS yq29FGWexsUXAMqH8-DO:qkpTLSGH3W3RDrwJ6vXqmi6DDr4=
Host: objects.dreamhost.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.3.1 (Mac OS X/10.7.5) (i386)
HTTP/1.1 403 Forbidden
Date: Mon, 02 Sep 2013 14:01:37 GMT
Server: Apache
Accept-Ranges: bytes
Content-Length: 78
Content-Type: application/xml
Access-Control-Allow-Origin: *
Access-Control-Allow-Headers: *
Access-Control-Allow-Credentials: true
Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE
Access-Control-Max-Age: 1728000
PUT /cd_sparklewren/Sparkle%20Wren%20Black%202.psd HTTP/1.1
Date: Mon, 02 Sep 2013 14:01:37 GMT
x-amz-acl: public-read
x-amz-storage-class: STANDARD
Content-Type: image/vnd.adobe.photoshop
Authorization: AWS yq29FGWexsUXAMqH8-DO:A0x9wx/mOQnx77VQ1Kd3oNch27E=
Content-Length: 536128224
Host: objects.dreamhost.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.3.1 (Mac OS X/10.7.5) (i386)
Expect: 100-continue

Change History (4)

comment:1 Changed on Sep 2, 2013 at 2:49:22 PM by dkocher

  • Component changed from ftp to s3
  • Description modified (diff)

comment:2 Changed on Sep 2, 2013 at 3:02:17 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

The error message indicates that the remote server just hang up the connection for unknown reasons. Please contact DreamHost customer support.

comment:3 Changed on Jul 15, 2014 at 4:07:06 PM by dkocher

  • Milestone set to 4.5
  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:4 Changed on Jul 15, 2014 at 4:07:15 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

Duplicate for #7621. Fix in r14903 with Expect: 100-continue header for PUT requests that resolves broken pipe failures for uploads to buckets where a 307 Temporary Redirect is returned.

Note: See TracTickets for help on using tickets.
swiss made software